org.apache.ignite.internal.util

## Class GridLeanIdentitySet<T>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<T>
    - - org.apache.ignite.internal.util.GridLeanIdentitySet<T>

All Implemented Interfaces:
  Iterable<T>, Collection<T>, Set<T>

    public class GridLeanIdentitySet<T>
    extends AbstractSet<T>

### Constructor Summary

Constructors
Constructor and Description
`GridLeanIdentitySet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `add(T t)`
`void` `clear()`
`boolean` `contains(Object o)`
`Iterator<T>` `iterator()`
`int` `size()`

### Methods inherited from class java.util.AbstractSet

`equals, hashCode, removeAll`

### Methods inherited from class java.util.AbstractCollection

`addAll, containsAll, isEmpty, remove, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Set

`addAll, containsAll, isEmpty, remove, retainAll, spliterator, toArray, toArray`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Constructor Detail

#### GridLeanIdentitySet

    public GridLeanIdentitySet()

### Method Detail

#### contains

    public boolean contains(Object o)

Specified by:
  `contains` in interface `Collection<T>`
Specified by:
  `contains` in interface `Set<T>`
Overrides:
  `contains` in class `AbstractCollection<T>`

#### add

    public boolean add(T t)

Specified by:
  `add` in interface `Collection<T>`
Specified by:
  `add` in interface `Set<T>`
Overrides:
  `add` in class `AbstractCollection<T>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `Collection<T>`
Specified by:
  `clear` in interface `Set<T>`
Overrides:
  `clear` in class `AbstractCollection<T>`

#### iterator

    public Iterator<T> iterator()

Specified by:
  `iterator` in interface `Iterable<T>`
Specified by:
  `iterator` in interface `Collection<T>`
Specified by:
  `iterator` in interface `Set<T>`
Specified by:
  `iterator` in class `AbstractCollection<T>`

#### size

    public int size()

Specified by:
  `size` in interface `Collection<T>`
Specified by:
  `size` in interface `Set<T>`
Specified by:
  `size` in class `AbstractCollection<T>`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018